public class Tile {
    int northStrength, southStrength, eastStrength, westStrength;
    String name, label;
    String northLabel, southLabel, eastLabel, westLabel;
    String color;
    public Tile(String parseInfo){
        String[] work = parseInfo.split("TILENAME|LABEL|NORTHBIND|SOUTHBIND|EASTBIND|WESTBIND|NORTHLABEL|EASTLABEL|SOUTHLABEL|WESTLABEL|CREATE");
        for(int i = 0; i < work.length; i++)
        {
            if(work[i].length() > 0)
                work[i] = work[i].substring(1, work[i].length());
            work[i].trim();
        }
        if(work.length > 8){
            name = work[1];
            label = work[2];
            northStrength = Integer.parseInt(work[3]);
            eastStrength = Integer.parseInt(work[4]);
            southStrength = Integer.parseInt(work[5]);
            System.out.println(work[6]);
            westStrength = Integer.parseInt(work[6]);
            northLabel = work[7];
            eastLabel = work[8];
            southLabel = work[9];
            westLabel = work[10];
        }
    }
    public Tile(){
        northStrength = 0;
        southStrength = 0;
        eastStrength = 0;
        westStrength = 0;
        name = "";
        label = "";
        northLabel = "";
        southLabel = "";
        eastLabel = "";
        westLabel = "";
        color = "";
    }
    public void setName(String name){
        this.name = name;
    }
    public void setLabel(String label){
        this.label = label;
    }
    public void setNorthStrength(int strength){
        northStrength = strength;
    }
    public void setSouthStrength(int strength){
        southStrength = strength;
    }
    public void setEastStrength(int strength){
        eastStrength = strength;
    }
    public void setWestStrength(int strength){
        westStrength = strength;
    }
    public void setNorthLabel(String label){
        northLabel = label;
    }
    public void setSouthLabel(String label){
        southLabel = label;
    }
    public void setEastLabel(String label){
        eastLabel = label;
    }
    public void setWestLabel(String label){
        westLabel = label;
    }
    public void setColor(String color){
        this.color = color;
    }
    public void convertToTemp3(){
        if(westStrength == 2)
            westStrength = 3;
        if(eastStrength == 2)
            eastStrength = 3;
        northStrength++;
        southStrength++;
    }
    public void rotate90Degrees(){
        int tempStrength = westStrength;
        westStrength = southStrength;
        southStrength = eastStrength;
        eastStrength = northStrength;
        northStrength = tempStrength;
        String tempLabel = westLabel;
        westLabel = southLabel;
        southLabel = eastLabel;
        eastLabel = northLabel;
        northLabel = tempLabel;
    }
    public String toString(){
        String output = "";
        output += "TILENAME " + name + "\n";
        output += "LABEL " + label + "\n";
        output += "NORTHBIND " + northStrength + "\n";
        output += "EASTBIND " + eastStrength + "\n";
        output += "SOUTHBIND " + southStrength + "\n";
        output += "WESTBIND " + westStrength + "\n";
        output += "NORTHLABEL " + northLabel + "\n";
        output += "EASTLABEL " + eastLabel + "\n";
        output += "SOUTHLABEL " + southLabel + "\n";
        output += "WESTLABEL " + westLabel + "\n";
        if(color != ""){
            output += "TILECOLOR " + color + "\n";
        }
        output += "CREATE\n\n\n";
        return output;
    }
    
}
